> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vlm.run/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Skill

> Get a skill by ID.

- Authenticated user: can access their org's skills and public skills.
- Guest / unauthenticated user: can only access public skills.

<RequestExample>
  ```python Python theme={"theme":{"light":"github-light","dark":"dark-plus"}}
  !pip install vlmrun

  from vlmrun.client import VLMRun

  client = VLMRun(api_key="<VLMRUN_API_KEY>")

  # Get skill by ID
  skill = client.agent.skills.get(id="<skill-id>")
  print(f"{skill.name} (v{skill.version}): {skill.description}")
  ```

  ```typescript Node.js SDK theme={"theme":{"light":"github-light","dark":"dark-plus"}}
  import { VlmRun } from "vlmrun";

  const client = new VlmRun({
    baseURL: "https://api.vlm.run/v1",
    apiKey: "<VLMRUN_API_KEY>"
  });

  const skill = await client.agent.skills.get({ id: "<skill-id>" });
  console.log(skill);
  ```

  ```bash cURL theme={"theme":{"light":"github-light","dark":"dark-plus"}}
  curl -X GET "https://api.vlm.run/v1/skills/<skill-id>" \
    -H "Authorization: Bearer <VLMRUN_API_KEY>"
  ```
</RequestExample>


## OpenAPI

````yaml GET /v1/skills/{skill_id}
openapi: 3.1.0
info:
  title: VLM Run Unified Server
  description: Unified server for VLM Run Agent and API
  termsOfService: https://vlm.run/terms-of-service
  contact:
    name: VLM Run Support Team
    url: https://vlm.run/
    email: support@vlm.run
  version: 2026-05-19.0
servers: []
security: []
paths:
  /v1/skills/{skill_id}:
    get:
      tags:
        - skills
      summary: Get Skill
      description: |-
        Get a skill by ID.

        - Authenticated user: can access their org's skills and public skills.
        - Guest / unauthenticated user: can only access public skills.
      operationId: get_skill_v1_skills__skill_id__get
      parameters:
        - name: skill_id
          in: path
          required: true
          schema:
            type: string
            title: Skill Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SkillInfoResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    SkillInfoResponse:
      properties:
        id:
          type: string
          title: Id
          description: Unique skill identifier
        name:
          type: string
          title: Name
          description: Name of the skill
        description:
          type: string
          title: Description
          description: Description of the skill
        skill_version:
          type: string
          title: Skill Version
          description: Version of the skill
          default: latest
        skill_uri:
          anyOf:
            - type: string
            - type: 'null'
          title: Skill Uri
          description: GCS URI of the skill zip file
        is_public:
          type: boolean
          title: Is Public
          description: Whether the skill is publicly accessible
          default: false
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
          description: Date and time when the skill was created
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
          description: Date and time when the skill was updated
      type: object
      required:
        - id
        - name
        - description
      title: SkillInfoResponse
      description: Skill information response.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````